Scriptname RomanDamageScript extends activemagiceffect  

float PlayerDamage
float SneakDamage

Message property ThrowSneakAttackMessage auto

referencealias property refalias1 auto
referencealias property refalias2 auto
referencealias property refalias3 auto

Actor NPC1
Actor NPC2
Actor NPC3
Weapon property EmbeddedWeapon auto

int property BaseDamage auto

Event OnEffectStart(Actor akTarget, Actor akCaster)

	NPC1 = refAlias1.getactorref()
	NPC2 = refAlias2.getactorref()
	NPC3 = refAlias3.getactorref()
	Game.GetPlayer().IsDetectedBy(NPC1)
	Game.GetPlayer().IsDetectedBy(NPC2)
	Game.GetPlayer().IsDetectedBy(NPC3)

	float Marksman = akCaster.GetAV("Marksman")
	PlayerDamage = BaseDamage * (1.25 + (0.5 * (Marksman/100)))
	
	if (game.GetPlayer().IsSneaking())
 		if !(Game.GetPlayer().IsDetectedBy(NPC1)) || !(Game.GetPlayer().IsDetectedBy(NPC2)) || !(Game.GetPlayer().IsDetectedBy(NPC3))
			SneakDamage = (PlayerDamage * 3)
			ThrowSneakAttackMessage.Show(afArg1 = 3)
			PlayerDamage = SneakDamage
			Game.AdvanceSkill("Sneak", 2.5)
		endif
	endif

	akTarget.DamageActorValue("Health", PlayerDamage)

	int random = Utility.RandomInt(1, 10)
	if (random <=8)
		akTarget.addItem(EmbeddedWeapon)
	endif

	Game.AdvanceSkill("Marksman", 6.3)
	
EndEvent




