Scriptname RomanSwitchWeaponScript extends ObjectReference  

Import Game

Weapon property ThrowingWeaponNew auto
Weapon property ThrowingWeaponCurrent auto
Projectile property ThrowingProjectileEmbedded auto

ObjectReference selfRef
ObjectReference EmbeddedProjectile

Event OnLoad()
	self.SetMotionType(self.Motion_Keyframed)
	selfRef = self as Objectreference
	EmbeddedProjectile  = Game.FindClosestReferenceOfTypeFromRef(ThrowingProjectileEmbedded, selfRef, 1000.0)
endEvent

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
	if akNewContainer == Game.GetPlayer()

		EmbeddedProjectile.delete()
		EmbeddedProjectile.reset()
	
		game.getPlayer().AddItem(ThrowingWeaponNew, 1, true)
		game.getPlayer().RemoveItem(ThrowingWeaponCurrent, 1, true)
	
	endIf
endEvent
	
 
