Scriptname RomanThrowSneakScript extends ReferenceAlias  

Keyword Property ThrowWeaponEffectKeyword Auto
Message property ThrowSneakAttackMessage auto
Sound Property SelectedSound Auto
Perk Property SneakCheckPerk Auto

Bool Registered = False
Bool Display = True

Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, \
  bool abBashAttack, bool abHitBlocked)

	if !(akAggressor== Game.GetPlayer())
		return
	endif
	
	;Check if the player sneak attacked with a weapon as a opposed to a spell.
	if(abSneakAttack)
		Display = False
	endif

EndEvent

Event OnMagicEffectApply(ObjectReference akCaster, MagicEffect akEffect)


        if !(akCaster == Game.GetPlayer())
                Return 
	  elseif (Display == False) 
                Return 
        endif

	if !(akEffect.HasKeyword(ThrowWeaponEffectKeyword))
		return
	endif

        if (Registered == False)
                Registered = True				
                RegisterForSingleUpdate(0.1) ;Call update function in 0.25 seconds
        endif

EndEvent

Event OnUpdate()
		if  (Game.GetPlayer().IsDetectedBy(GetActorReference()))
			Display = False
		endif

        if (Display == True)
		
		;game.getPlayer().addPerk(SneakCheckPerk)		

		int soundInstance = SelectedSound.play(Game.GetPlayer())
	
            	Game.AdvanceSkill("Sneak", 6) ;Grant some sneak experience
        endif

	;When done checking, reset for next spell set
        Registered = False
        Display = True

EndEvent

